Subject: Which city is better, Bengaluru or Chennai?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Sat, 06 Mar 2021 11:42:13 +0000

Algaily's Digest
Your Quora Digest

-----

Question: Which city is better, Bengaluru or Chennai?

Answer from Rajesh Thiagarajan

Hi,

Thanks for the question. Having lived in both the cities for a considerable amount of time (21 years in Chennai and 5 years in Bangalore to be precise ) , I think I am in
Read More: http://www.quora.com/Which-city-is-better-Bengaluru-or-Chennai?top_ans=20490844
-----
Question: My relative applied for a B2 visa extension (I-539) due to covid. Her application is still pending. Can she travel back now and still visit the US with the same tourist visa next summer? Has anyone been in a similar situation?

Answer from Kathryn Berck

Many people apply for extensions of stay - especially recently due to Covid - but then decide to or can leave after all. The extension request is automatically cancelled if th
Read More: http://www.quora.com/My-relative-applied-for-a-B2-visa-extension-I-539-due-to-covid-Her-application-is-still-pending-Can-she-travel-back-now-and-still-visit-the-US-with-the-same-tourist-visa-next-summer-Has-anyone-been-in-a-similar?top_ans=242323708
-----
Question: Which is better, 13.5 LPA at ThoughtWorks Pune or 14.5LPA Deloitte Hyderabad?

Answer from Himanshu Pandey

ThoughtWorks is a great place to learn, 1 lakh rupees is not a big difference. Thoughtworks will provide you with multiple facilities like travel, conferences which is not par
Read More: http://www.quora.com/Which-is-better-13-5-LPA-at-ThoughtWorks-Pune-or-14-5LPA-Deloitte-Hyderabad?top_ans=250294927
-----
Question: Can you just move to Canada?

Answer from James Linn

No you can't just move to Canada.

Over a million people apply every year and only 350, 000 are accepted.

There are different programs but in short Canada wants younger peopl
Read More: http://www.quora.com/Can-you-just-move-to-Canada?top_ans=253861479
-----
Question: Do IRS officers receive life threats?

Answer from Dev Dass Rishi

Being from the IRS myself, I can tell you that not only threats, some officers have been murdered too by smugglers and drug syndicates. But that is a part of our duty to take 
Read More: http://www.quora.com/Do-IRS-officers-receive-life-threats?top_ans=225035630
-----
Question: Is H1B worth it given all the new rules coming in?

Answer from Vijayan S

No.

I have lived in the US for more than 4 years and understand the pain points of H1B or certain other work visas.

There is one life and it is a choice that everyone makes 
Read More: http://www.quora.com/Is-H1B-worth-it-given-all-the-new-rules-coming-in?top_ans=95632166
-----
Question: How much is your salary, and are you happy with your salary?

Answer from Abhishek Pandey

I joined government service in 2009. My first salary was 16K. Now I am earning gross salary 89K (including HRA). HRA is deducted because I am living in Gov Accommodation. Afte
Read More: http://www.quora.com/How-much-is-your-salary-and-are-you-happy-with-your-salary?top_ans=255610209
-----
Question: My mother-in-law forces me to wake up at 4 am in the morning to do household chores. If I don't wake up, then she beats me with a broom stick. What should I do?

Answer from Bhuvana Rameshwar

Take the same broom stick and hit her back. Alternatively you can keep another broom stick ready for a fight like a sword fight. Retorting back is the best solution to people 
Read More: http://www.quora.com/My-mother-in-law-forces-me-to-wake-up-at-4-am-in-the-morning-to-do-household-chores-If-I-dont-wake-up-then-she-beats-me-with-a-broom-stick-What-should-I-do?top_ans=263821703
-----
Question: Can someone work in Germany on dependent visa?

Answer from Arun Mahajan

I moved to Germany in Jan,2014, on a dependent visa.

My wife has been in Germany since Jan,2013 for her PhD at Heidelberg University.

Once I landed, like every other expat, 
Read More: http://www.quora.com/Can-someone-work-in-Germany-on-dependent-visa?top_ans=236753694
-----
Question: Are you a freelancer? How much are you earning from it? When did you started?

Answer from Angshuman Banerjee (Ven/AJ)

Yes, I am a full-time freelancer, and I earned approximately 47,12,000 rupees in 7 months in 2020 (FY 2020 starts in April 2020 so April to October). On an average, I earn abo
Read More: http://www.quora.com/Are-you-a-freelancer-How-much-are-you-earning-from-it-When-did-you-started?top_ans=247009495
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&id=d2ac43c8ef05410594291e63e42d79f2

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=d2ac43c8ef05410594291e63e42d79f2&t=1615030932960480&token=92451fa1f02d4313be96f970d16991e6ab9c3f4bbb2301501300de83814c07ad9b9334a390ccd1a05de4af7eef7fe7bd5ce8772ae63093ba5fdb85894862b02c&type=2&uid=1229773278